## org.jfree.util
Class UnitType

    java.lang.Object
      org.jfree.util.UnitType

All Implemented Interfaces:
  java.io.Serializable

    public final class UnitType

extends java.lang.Object
implements java.io.Serializable

Used to indicate absolute or relative units.

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static UnitType` `ABSOLUTE` Absolute.
`static UnitType` `RELATIVE` Relative.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ABSOLUTE

    public static final UnitType ABSOLUTE

  Absolute.

### RELATIVE

    public static final UnitType RELATIVE

  Relative.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.

### hashCode

    public int hashCode()

  Returns a hash code value for the object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hashcode